VERSION 5.00
Begin VB.Form frmAutomation 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Word Automation Example - john_colman@hotmail.com"
   ClientHeight    =   2250
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6660
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2250
   ScaleWidth      =   6660
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdPrint 
      Caption         =   "&Print"
      Height          =   495
      Left            =   90
      TabIndex        =   12
      Top             =   1665
      Width           =   1215
   End
   Begin VB.TextBox txtSize 
      Alignment       =   2  'Center
      Height          =   285
      Left            =   5265
      TabIndex        =   10
      Text            =   "64"
      Top             =   1485
      Width           =   345
   End
   Begin VB.CheckBox chkUnderline 
      Caption         =   "&Underline"
      Height          =   255
      Left            =   5280
      TabIndex        =   9
      Top             =   1200
      Width           =   1215
   End
   Begin VB.ComboBox drpJustification 
      Height          =   315
      ItemData        =   "frmAutomation.frx":0000
      Left            =   5265
      List            =   "frmAutomation.frx":0010
      Style           =   2  'Dropdown List
      TabIndex        =   8
      Top             =   1845
      Width           =   1335
   End
   Begin VB.CheckBox chkItalic 
      Caption         =   "&Italic"
      Height          =   255
      Left            =   5280
      TabIndex        =   7
      Top             =   960
      Width           =   1215
   End
   Begin VB.CheckBox chkBold 
      Caption         =   "&Bold"
      Height          =   255
      Left            =   5280
      TabIndex        =   6
      Top             =   720
      Width           =   1215
   End
   Begin VB.Frame grpVisibility 
      Caption         =   "Visibility"
      Height          =   825
      Left            =   90
      TabIndex        =   3
      Top             =   675
      Width           =   1215
      Begin VB.OptionButton Option1 
         Caption         =   "Visible"
         Height          =   255
         Index           =   0
         Left            =   135
         TabIndex        =   5
         Top             =   225
         Value           =   -1  'True
         Width           =   855
      End
      Begin VB.OptionButton Option1 
         Caption         =   "Invisible"
         Height          =   255
         Index           =   1
         Left            =   135
         TabIndex        =   4
         Top             =   495
         Width           =   975
      End
   End
   Begin VB.CommandButton cmdAddText 
      Caption         =   "Add &Text"
      Height          =   495
      Left            =   5280
      TabIndex        =   2
      Top             =   120
      Width           =   1215
   End
   Begin VB.CommandButton cmdAddDocument 
      Caption         =   "Add &Document"
      Height          =   495
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   1215
   End
   Begin VB.TextBox txtTypeText 
      Height          =   2055
      Left            =   1440
      MultiLine       =   -1  'True
      TabIndex        =   0
      Top             =   120
      Width           =   3735
   End
   Begin VB.Label Label1 
      Caption         =   "Size:"
      Height          =   375
      Left            =   5715
      TabIndex        =   11
      Top             =   1530
      Width           =   495
   End
End
Attribute VB_Name = "frmAutomation"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'Create an empty class to reference the Word Object
Dim w1 As Word.Application

Private Sub cmdAddDocument_Click()
    
    'Create a new document
    w1.Documents.Add
    
End Sub

Private Sub cmdAddText_Click()
    
    'Test to see if there is a document open
    If w1.Documents.Count < 1 Then
        MsgBox "No documents open"
        Exit Sub
    End If
    
    'Set the font size
    w1.Selection.Font.Size = txtSize.Text
    
    'Set the font weight etc.
    w1.Selection.Font.Bold = IIf(chkBold.Value = 1, True, False)
    w1.Selection.Font.Italic = IIf(chkItalic.Value = 1, True, False)
    w1.Selection.Font.Underline = IIf(chkUnderline.Value = 1, True, False)
    
    'Set the alignment
    w1.Selection.ParagraphFormat.Alignment = drpJustification.ListIndex
    
    'Type the text
    w1.Selection.TypeText txtTypeText.Text

End Sub

Private Sub cmdPrint_Click()
    
    'Print out
    w1.ActiveDocument.PrintOut
    
End Sub

Private Sub Form_Load()
    
    'Create a new instance of word
    Set w1 = New Word.Application
    
    'Initialize Word as visible
    Option1_Click 0
    
    'Make the default value the first in the list
    drpJustification.Text = drpJustification.List(0)
    
End Sub

Private Sub Form_Terminate()

    'Close the Word application (not saving changes)
    w1.Quit False
    Set w1 = Nothing
    
End Sub

Private Sub Option1_Click(Index As Integer)
    
    'Make word invisible / visible
    w1.Visible = IIf(Index = 0, True, False)
    
End Sub
